org.appng.core.model

## Enum RepositoryScheme

- java.lang.Object
- - java.lang.Enum<RepositoryScheme>
  - - org.appng.core.model.RepositoryScheme

- All Implemented Interfaces:
    Serializable, Comparable<RepositoryScheme>

      public enum RepositoryScheme
      extends Enum<RepositoryScheme>

  The URI-scheme for an `Repository`,
  Author:
    Matthias Herlitzius

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FILE` file scheme, using `RepositoryType.LOCAL`
    `HTTP` https scheme, using `RepositoryType.REMOTE`
    `HTTPS` https scheme, using `RepositoryType.REMOTE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Set<RepositoryScheme>` | `getSchemes(RepositoryType repositoryType)`
    `RepositoryType` | `getSupportedRepositoryType()` Return the `RepositoryType` supported by this scheme.
    `String` | `toString()`
    `static RepositoryScheme` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RepositoryScheme[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILE

          public static final RepositoryScheme FILE

      file scheme, using `RepositoryType.LOCAL`

    - #### HTTP

          public static final RepositoryScheme HTTP

      https scheme, using `RepositoryType.REMOTE`

    - #### HTTPS

          public static final RepositoryScheme HTTPS

      https scheme, using `RepositoryType.REMOTE`

  - ### Method Detail

    - #### values

          public static RepositoryScheme[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RepositoryScheme c : RepositoryScheme.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RepositoryScheme valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSupportedRepositoryType

          public RepositoryType getSupportedRepositoryType()

      Return the `RepositoryType` supported by this scheme.
      Returns:
        the `RepositoryType`

    - #### getSchemes

          public static Set<RepositoryScheme> getSchemes(RepositoryType repositoryType)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<RepositoryScheme>`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.